dofile "flightcommander.lua"

function init()
  catsdead = 0;
  timer=0;
  jumptimer = 0;
  transport1dead = false;
  transport2dead = false;
  humansdead = 0;
  land = 0;
  land2 = 0;
  wait = 0;
  done1 = 0;
  finish = 0;
  done2 = 0;
end

function fail1()
  transport1dead = true;
end

function fail2()
  transport2dead = true;
end

function nav1enter()
  Ship_setForceEject("$good", false);
  Comm_playShipVideo("furryshell1.wav", "bug.avi", "Our transports are under attack.", "$orca2");
  Comm_playShipVideo("furryshell1.wav", "bug.avi", "Protect them!", "$orca2");
end

function nav3during()
  Ship_setMaxVelocity("$@cap", 0.0); 
    Ship_setDesiredVelocity("@cap", 0.0);
  if (Ship_getNumTurrets("@cap") < 10) then
    if (land2 == 0) then
      if (done1 == 0) then
        Comm_playShipVideo("furryshell1.wav", "bug.avi", "You still need to take out those fighters!", "$orca");
        done1 = 1;
      end
    end
    Objective_setState(3, OBJECTIVE_COMPLETE)
    land = land + 1;
  end
  if (humansdead == 7) then
    if (land == 0) then
      if (done2 == 0) then
        Comm_playShipVideo("furryshell2.wav", "bug.avi", "Great job, now disarm that mothership!", "$orca2");
        done2 = 1;
      end
    end
    Objective_setState(4, OBJECTIVE_COMPLETE)
    land2 = land2 + 1;
  end
  if (land > 2) then
    if (land2 > 2) then
    if (finish == 0) then
    Mission_setScriptControl(true);
    Comm_playShipVideo("furryshell1.wav", "bug.avi", "The thin shells have been destroyed!", "$orca2");
 --   Mission_exit()
    Overlay_setEnabled(true);
    Overlay_setText("Victory for the hard shells!");
    Mission_addShip("Furrydevil", "", "", false, "none", IFF_FRIEND, 0.0, 0.0, 0.0, "@boo", "", "", "");
    Ship_setAIEnabled("@boo", false);
    Ship_setMaxVelocity("@boo", 150.0);
    Ship_setDesiredVelocity("@boo", 1.0);
    Camera_setCameraType(CAMERA_SCRIPTABLE);
    Camera_setLocationFixed(0.0, 0.0, -1500.0);
    Camera_setLookAtFixed(0.0, 0.0, 0.0);
    end
    finish = 1;
    end
  end
  if (land > 4) then
    if (land2 > 4) then
    wait = wait + 1;
  end
  end
  if (wait == 5) then
    Mission_exit()
  end
end

function nav3enter()
  Ship_setForceEject("$good", false);
  Comm_playShipVideo("furryshell3.wav", "bug.avi", "We are under attack!", "$orca");
  Comm_playShipVideo("furryshell2.wav", "bug.avi", "All thick shells, attack the thin shells!", "$orca2");
  Comm_playShipVideo("furryshell1.wav", "bug.avi", "Disarm the thin shell capital ship.", "$orca2");
  Comm_playShipVideo("furryshell3.wav", "bug.avi", "And destroy the fighters!", "$orca2");
end

function nav2during()
  timer=timer+1;
  if (timer==7) then
    Ship_destroy("$kill3")
  end
  if (catsdead == 7) then
    Objective_setState(2, OBJECTIVE_COMPLETE)
    jumptimer = jumptimer + 1
    if (jumptimer == 5) then
      if (transport1dead == false) then
        Ship_setMaxVelocity("$cargo1", 40.0); 
        Comm_playShipVideo("furryshell1.wav", "bug.avi", "We are jumping out now.", "$cargo1");
        Ship_jumpOut("$cargo1");
        Objective_setState(0, OBJECTIVE_COMPLETE)
      end
      if (transport1dead == true) then
        Objective_setState(0,   OBJECTIVE_FAILED)
      end
    end
    if (jumptimer == 12) then
      if (transport2dead == false) then
        Ship_setMaxVelocity("$cargo2", 40.0); 
        Comm_playShipVideo("furryshell2.wav", "bug.avi", "Cheers, thanks for the assistance.", "$cargo2");
        Ship_jumpOut("$cargo2");
        Objective_setState(1, OBJECTIVE_COMPLETE)
      end
      if (transport2dead == true) then
        Objective_setState(1, OBJECTIVE_FAILED)
      end
    end
  end
end

function human(shipid)
  humansdead = humansdead + 1;
end

function cat(shipid)
  catsdead = catsdead + 1;
end

-- call init on startup
init();

